Public Types | Public Member Functions

# wxWCharBuffer Class Reference
[Data Structures]

`#include <wx/buffer.h>`

Inheritance diagram for wxWCharBuffer:
[legend]

## Detailed Description

This is a specialization of wxCharTypeBuffer<T> for `wchar_t` type.

##

Library: None; this class implementation is entirely header-based.
Category: Data Structures

## Public Types
typedef wxCharTypeBuffer< wchar_t > | wxCharTypeBufferBase
typedef wxScopedCharTypeBuffer < wchar_t > | wxScopedCharTypeBufferBase
## Public Member Functions
| wxWCharBuffer (const wxCharTypeBufferBase &buf)
| wxWCharBuffer (const wxScopedCharTypeBufferBase &buf)
| wxWCharBuffer (const CharType *str=NULL)
| wxWCharBuffer (size_t len)
| wxWCharBuffer (const wxCStrData &cstr)

List of all members.

## Member Typedef Documentation

typedef wxCharTypeBuffer<wchar_t> wxWCharBuffer::wxCharTypeBufferBase

typedef wxScopedCharTypeBuffer<wchar_t> wxWCharBuffer::wxScopedCharTypeBufferBase

## Constructor & Destructor Documentation

wxWCharBuffer::wxWCharBuffer | ( | const wxCharTypeBufferBase & | buf | ) |

wxWCharBuffer::wxWCharBuffer | ( | const wxScopedCharTypeBufferBase & | buf | ) |

wxWCharBuffer::wxWCharBuffer | ( | const CharType * | str = `NULL` | ) |

wxWCharBuffer::wxWCharBuffer | ( | size_t | len | ) |

wxWCharBuffer::wxWCharBuffer | ( | const wxCStrData & | cstr | ) |

|  | [ top ]